<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">


    <ImageView
        android:id="@+id/iv_qr_code"
        android:layout_width="500dp"
        android:layout_height="480dp"
        android:background="@drawable/backstage_shape_gard_bg"
        android:importantForAccessibility="no"
        android:padding="25dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/pb_qr_loading"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/home_textview3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="36dp"
        android:text="请扫二维码完成支付"
        android:textColor="#1C1C1D"
        android:textSize="36sp"
        app:layout_constraintEnd_toEndOf="@+id/iv_qr_code"
        app:layout_constraintStart_toStartOf="@+id/iv_qr_code"
        app:layout_constraintTop_toBottomOf="@+id/iv_qr_code" />

    <ProgressBar
        android:id="@+id/pb_qr_loading"
        style="?android:attr/progressBarStyleLarge"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:indeterminate="true"
        android:indeterminateTint="#157DE7"
        android:indeterminateTintMode="src_atop"
        app:layout_constraintBottom_toBottomOf="@+id/iv_qr_code"
        app:layout_constraintEnd_toEndOf="@+id/iv_qr_code"
        app:layout_constraintStart_toStartOf="@+id/iv_qr_code"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:visibility="gone"
        android:id="@+id/iv_reset"
        android:layout_width="200dp"
        android:layout_height="100dp"
        android:layout_marginTop="37dp"
        android:background="@drawable/home_rectangle_blue_background"
        android:gravity="center"
        android:text="重试"
        android:textColor="@color/white"
        android:textSize="42sp"
        app:layout_constraintBottom_toBottomOf="@+id/iv_qr_code"
        app:layout_constraintEnd_toEndOf="@+id/iv_qr_code"
        app:layout_constraintStart_toStartOf="@+id/iv_qr_code"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>